Bug 216498 - lang/ruby23 missing plist entry, needs portrev bump
Summary: lang/ruby23 missing plist entry, needs portrev bump
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ruby (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-26 17:32 UTC by John Marino
Modified: 2017-01-30 21:50 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ruby)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Marino freebsd_committer 2017-01-26 17:32:00 UTC
lang/ruby23 needs this change:

--- /usr/ports/lang/ruby23/pkg-plist    2017-01-26 11:29:52.000000000 -0600
+++ lang/ruby23/pkg-plist       2017-01-26 11:23:17.000000000 -0600
@@ -1,3 +1,4 @@
+%%IF_DEFAULT%%bin/erb
 bin/erb%%RUBY_SUFFIX%%
 %%IF_DEFAULT%%bin/irb
 bin/irb%%RUBY_SUFFIX%%

I would add it, but because PORTREVISION is defined by RUBY_PORTREVISION which is defined in Mk/bsd.ruby.mk, I don't have permission to fix this.
Comment 1 commit-hook freebsd_committer 2017-01-27 14:08:04 UTC
A commit references this bug:

Author: sunpoet
Date: Fri Jan 27 14:07:06 UTC 2017
New revision: 432553
URL: https://svnweb.freebsd.org/changeset/ports/432553

Log:
  Fix PLIST

  - Bump PORTREVISION for package change

  PR:		216498
  Submitted by:	marino
  MFH:		2017Q1

Changes:
  head/Mk/bsd.ruby.mk
  head/lang/ruby23/pkg-plist
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2017-01-27 14:08:26 UTC
Committed. Thanks!
Comment 3 commit-hook freebsd_committer 2017-01-30 21:50:11 UTC
A commit references this bug:

Author: sunpoet
Date: Mon Jan 30 21:49:48 UTC 2017
New revision: 432885
URL: https://svnweb.freebsd.org/changeset/ports/432885

Log:
  MFH: r432553

  Fix PLIST

  - Bump PORTREVISION for package change

  PR:		216498
  Submitted by:	marino

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2017Q1/
  branches/2017Q1/Mk/bsd.ruby.mk
  branches/2017Q1/lang/ruby23/pkg-plist